t.rast3d.list(1)

NAME
t.rast3d.list.py - Lists registered maps of a space time raster3d dataset.

KEYWORDS
temporal, map management, list, raster3d, voxel, time

SYNOPSIS
t.rast3d.list.py
t.rast3d.list.py --help
t.rast3d.list.py [-s] input=name [order=string[,string,...]] [columns=string[,string,...]] [where=sql_query] [method=string] [separator=character] [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-s
    Suppress printing of column names

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster3d dataset

order=string[,string,...]
    Order the space time dataset by category
    Options: id, name, creator, mapset, temporal_type, creation_time, start_time, end_time, north, south, west, east, nsres, tbres, ewres, cols, rows, depths, number_of_cells, min, max
    Default: start_time

columns=string[,string,...]
    Columns to be printed to stdout
    Options: id, name, creator, mapset, temporal_type, creation_time, start_time, end_time, north, south, west, east, nsres, tbres, ewres, cols, rows, depths, number_of_cells, min, max
    Default: name,mapset,start_time,end_time

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

method=string
    Method used for data listing
    Options: cols, comma, delta, deltagaps, gran
    Default: cols

separator=character
    Field separator character between the output columns
    Special characters: pipe, comma, space, tab, newline
    Default: pipe

output=name
    Name for output file

DESCRIPTION
t.rast3d.list provides the same functionality as t.rast.list, the only difference is the 3D raster map layer metadata. Please refer to the manual page of t.rast.list.

SEE ALSO
t.rast.list, g.list, t.create, t.info, t.list, t.vect.list

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast3d.list source code (history)

Accessed: Sunday Sep 03 20:28:42 2023

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual